* {
    margin: 0;
    padding: 0;
}

html, body {
    height: 100%
}

.background {
    height: 100%;
    font-family: "Source Sans Pro", sans-serif;
    background: url(https://g.se-cdn.net/custom-errors/background.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    justify-content: center;
    align-items: center;
    display:flex;
}

.header {
    transition: color 0.2s linear;
    font-size: 28px;
    line-height: 1.3;
    color: #333;
}

li {
    margin-top: 3px;
}

.content-container {
    border-radius: 6px;
    text-align: left;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
    padding: 50px;
    background-color: #fff;
    width: 100%;
    max-width: 450px;
    position: absolute;
    margin: 15px;
}

.content {
    transition: color 0.2s linear;
    font-size: 16px;
    line-height: 27px;
    color: #bbb;
}

.content p:nth-child(n + 2) {
    margin-top: 10px;
}

.primary-text-color {
    color: rgba(38, 38, 38, 1) !important;
}

.secondary-text-color {
    color: rgba(115, 115, 115, 1) !important;
}

.hr {
    height: 1px;
    background-color: #ddd;
    width: 70%;
    max-width: 350px;
    margin: 15px auto;
}

.buttons-container {
    margin-top: 35px;
    overflow: hidden;
    text-align: center;
}

.buttons-container a {
    transition: text-indent 0.2s ease-out, color 0.2s linear,
    background-color 0.2s linear;
    text-indent: 0px;
    font-size: 14px;
    text-transform: uppercase;
    text-decoration: none;
    color: #fff;
    border-radius: 99px;
    padding: 12px 0 13px;
    text-align: center;
    display: inline-block;
    overflow: hidden;
    position: relative;
    width: 45%;
    background-color: rgba(110, 152, 247, 1);
    color: #ffffff;
    float: none;
}

.buttons-container .fa {
    transition: left 0.2s ease-out;
    position: absolute;
    left: -45px;
}

.buttons-container .fa-warning {
    font-size: 16px;
    top: 15px;
}

.buttons-container a:hover {
    text-indent: 15px;
}

.buttons-container a:hover .fa-warning {
    left: 5px;
}

.logo {
    position: fixed;
    bottom: 10px;
    left: 10px;
    right: 0px;
}

@media screen and (max-width: 600px) {
    .content-container {
        padding: 35px;
    }
    .header {
        font-size: 26px;
    }
    .buttons-container .fa {
        display: none;
    }
    .buttons-container a:hover {
        text-indent: 0px;
    }
    li {
        margin-top: 1px;
    }
    .content {
        font-size: 14px;
        line-height: 20px;
    }
}

@media screen and (max-width: 450px) {
    .content-container {
        padding: 30px;
        max-width: 230px;
    }

    .header {
        font-size: 24px;
        line-height: 1.2;
    }

    .buttons-container a {
        border-radius: 20px;
        font-size: 14px;
        width: 65%;
    }

}

@media screen and (max-width: 350px) {
    .content-container {
        padding: 30px;
        max-width: 180px;
    }
    .header {
        font-size: 22px;
        line-height: 1.0;
    }
    .content {
        font-size: 12px;
        line-height: 20px;
    }
    .buttons-container a {
        font-size: 12px;
        padding: 12px 5px 13px;
    }
}

@media screen and (max-height: 450px) {
    .content-container {
        padding: 30px;
        max-width: 620px;
    }
}
